//
//  CustomGameViewController.m
//  MemoryTraining
//
//  Created by Jiayao Yu on 4/2/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "CustomGameViewController.h"
#import "GameViewController.h"

@implementation CustomGameViewController
@synthesize gameViewController;
/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
  levelField.delegate = self;
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

- (void)start {
  [self presentModalViewController:gameViewController animated:NO];
  [gameViewController setLevel:[[levelField text] intValue]];
  [gameViewController restart];
}
  
- (BOOL)textField:(UITextField *)textField shouldChangeCharactersInRange:(NSRange)range replacementString:(NSString *)string {
  return range.location < 2;
}

- (void)mainMenu {
  [[self parentViewController] dismissModalViewControllerAnimated:YES];
}
@end
