//
//  MemoryTrainingViewController.h
//  MemoryTraining
//
//  Created by Jiayao Yu on 3/27/10.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Level.h"
@class GameView;
@protocol CoreDataHelper;
typedef enum {
  kInProgress,
  kGameOver,
} State;

@interface GameViewController : UIViewController<UIAlertViewDelegate> {
  Level *level;
  IBOutlet UILabel *levelLabel;
  IBOutlet UIButton *retryButton;
  IBOutlet UIButton *mainMenuButton;
  GameView *mainView;
  UIAlertView *gameOverAlert;
  UIAlertView *levelUpAlert;
  State state;
  id<CoreDataHelper> coreDataHelper;
  int levelPassed;
}
@property(nonatomic, retain) id<CoreDataHelper> coreDataHelper;

-(void) touched;
-(IBAction) restart;
-(IBAction) mainMenu;
-(void)setLevel:(int)aLelve;

@end

