//
//  MainView.h
//  MemoryTraining
//
//  Created by Jiayao Yu on 3/27/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Level.h"
@class GameViewController;


@interface GameView : UIView {
  Level *level;
  NSMutableArray *panels;
  GameViewController *controller;
  IBOutlet UILabel *statusLabel;
}
@property(nonatomic, retain) Level *level;
@property(nonatomic, retain) NSMutableArray *panels;
@property(nonatomic, retain) GameViewController *controller;
@property(nonatomic, retain) UILabel *statusLabel;
- (void)flashPattern;
- (void)showPattern;
- (void)refresh;
- (void)setFlipPanelsEnabled:(BOOL)value;
@end
