//
//  MainViewController.h
//  MemoryTraining
//
//  Created by Jiayao Yu on 3/28/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@class GameViewController;
@class StatsViewController;
@class CustomGameViewController;
@protocol CoreDataHelper;

@interface MainViewController : UIViewController {
  GameViewController *gameViewController;
  StatsViewController *statsViewController;
  CustomGameViewController *customGameViewController;
  id<CoreDataHelper> coreDataHelper;
}
@property(nonatomic, retain) id<CoreDataHelper> coreDataHelper;
- (IBAction)quickPlay;
- (IBAction)showStats;
- (IBAction)customGame;

@end
